classification
Title: idlelib/EditorWindow.py uses xrange()
Type: Stage:
Components: IDLE Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: kbk Nosy List: georg.brandl, kbk, mark, zanella
Priority: normal Keywords: patch

Created on 2008-05-19 11:49 by mark, last changed 2008-07-19 13:54 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
EditorWindow_-x-range.patch zanella, 2008-06-30 01:44
Messages (3)
msg67060 - (view) Author: Mark Summerfield (mark) * Date: 2008-05-19 11:49
In Py30a5 idlelib/EditorWindow.py line 292 uses xrange() when it should
use range().
msg68986 - (view) Author: Rafael Zanella (zanella) Date: 2008-06-30 01:44
xrange has been deprecated on py_3k, so it's a valid one liner.
msg70033 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-07-19 13:54
Fixed in r65140.
History
Date User Action Args
2008-07-19 13:54:07georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg70033
nosy: + georg.brandl
2008-06-30 03:04:35benjamin.petersonlinkissue3237 superseder
2008-06-30 01:44:22zanellasetfiles: + EditorWindow_-x-range.patch
keywords: + patch
messages: + msg68986
nosy: + zanella
2008-05-22 17:33:08kbksetassignee: kbk
nosy: + kbk
2008-05-19 11:49:44markcreate